Name:           perl-Parse-CPAN-Packages-Fast
Version:        0.08
Release:        1%{?dist}
Summary:        Alternative parser for CPAN's package index
# License is located as a comment in library code
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Parse-CPAN-Packages-Fast/
Source0:        http://www.cpan.org/modules/by-module/Parse/Parse-CPAN-Packages-Fast-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(base)
BuildRequires:  perl(Compress::Zlib)
BuildRequires:  perl(CPAN::DistnameInfo)
BuildRequires:  perl(CPAN::Version)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(IO::Uncompress::Gunzip)
BuildRequires:  perl(lib)
BuildRequires:  perl(strict)
BuildRequires:  perl(Search::Dict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(warnings)
Requires:       perl(CPAN)
Requires:       perl(File::Basename)
Requires:       perl(File::Temp)
Requires:       perl(Search::Dict)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This is a largely API compatible rewrite of Parse::CPAN::Packages.

%prep
%setup -q -n Parse-CPAN-Packages-Fast-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Aug 30 2014 David Dick <ddick@cpan.org> - 0.08-1
- Initial release
